MAN-RECODE(1)

NAMA
man-recode - convert manual pages to another encoding

RINGKASAN
man-recode -t to-code {--suffix=suffix|--in-place} [-dqhV] [filename]

DESKRIPSI
man-recode converts multiple manual pages from one encoding to another, guessing the appropriate input encoding for each one. It is useful when permanently recoding pages written in legacy character sets, or in build systems that need to recode a set of pages to a single common encoding (usually UTF-8) for installation. When converting many manual pages, this program is much faster than running man --recode or manconv on each page.

If an encoding declaration is found on the first line of a manual page, then that declaration is used as the input encoding for that page. Failing that, the input encoding is guessed based on the file name.

Encoding declarations have the following form:

    '\" -*- coding: UTF-8 -*-

atau (jika preprosesor halaman buku panduan juga dideklarasikan):

    '\" t -*- coding: ISO-8859-1 -*-

PILIHAN

-t encoding, --to-code=encoding
    Convert manual pages to encoding.

--suffix=suffix
    Form each output file name by appending suffix to the input file name, after removing any compression extension.

--in-place
    Overwrite each input file with the output, after removing any compression extension.

-q, --quiet
    Jangan isukan pesan error ketika halaman tidak dapat diubah.

-d, --debug
    Tampilkan informasi penelusuran.

-h, --help
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

LIHAT JUGA
iconv(1), man(1), manconv(1)

PENGARANG
Colin Watson (cjwatson@debian.org).